
mod.controller('stylerController', ['$scope',
    function ($scope) {

        /**
         * variables
         */


        /**
         * watches
         */
        $scope.$watch('widget', function (val) {

            $scope.model = $$get($scope, 'widget.style');
        });



        /**
         * public methods
         */

        $scope.chartType = function (chartType) {
            $scope.model.chartType = chartType;
            _.defer(function () {
                $scope.$root.widget.redraw();
            });
        };

        $scope.showLegend = function (showLegend) {
        	$scope.model.showLegend = showLegend;
        	_.defer(function () {
        		$scope.$root.widget.redraw();
        	});
        };
		
		$scope.showXAxisLabel = function (showXAxisLabel) {
        	$scope.model.showXAxisLabel = showXAxisLabel;
        	_.defer(function () {
        		$scope.$root.widget.redraw();
        	});
        };
		
		$scope.showMarkers = function (showMarkers) {
        	$scope.model.showMarkers = showMarkers;
        	_.defer(function () {
        		$scope.$root.widget.redraw();
        	});
        };
		
		$scope.showStep = function (showStep) {
        	$scope.model.showStep = showStep;
        	_.defer(function () {
        		$scope.$root.widget.redraw();
        	});
        };

        $scope.groupTooltips = function (groupTooltips) {
            $scope.model.groupTooltips = groupTooltips;
            _.defer(function () {
                $scope.$root.widget.redraw();
            });
        };
    }
]);